Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -3556,16 +3556,16 @@
              endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
           endif !if ((iso_HDO.gt.0)
-          if ((iso_O17.gt.0).and.(iso_O18.gt.0).and. &
+          IF ((iso_O17.gt.0).AND.(iso_O18.gt.0).AND. &
 &               (O17_verif)) THEN
-             if (Pqiinf(il).gt.ridicule_rain) THEN
+             IF (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant_o17( &
 &                  (Pxtiinf(iso_O17,il)/Pqiinf(il)), &
 &                  (Pxtiinf(iso_O18,il)/Pqiinf(il)), &
 &                  'stewart_explicite 1156')   
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-          endif  ! if ((iso_O17.gt.0).and.(iso_O18.gt.0).and.
-     if ((debug.eq.1).and.(il.eq.il_debug)) THEN
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
+          endif  ! if ((iso_O17.gt.0).AND.(iso_O18.gt.0).AND.
+     IF ((debug.EQ.1).AND.(il.EQ.il_debug)) THEN
       WRITE(*,*) 'stewart_explicit 1160: 1er ordre pour le liq'
-     endif !if ((debug.eq.1).and.(il.eq.il_debug)) THEN
+     endif !if ((debug.EQ.1).AND.(il.EQ.il_debug)) THEN
 #endif              
 
@@ -3580,6 +3580,6 @@
 #endif            
 
-!            if ((allow_ordre1v).and.
-!     :           (Eqi(il)*fac_ftmr(il).lt.1e-2*qp0(il)).and.
+!            if ((allow_ordre1v).AND.
+!     :           (Eqi(il)*fac_ftmr(il).lt.1e-2*qp0(il)).AND.
 !     :            (h.lt.0.97)) THEN
 !               ! peu d'apport d'évap dans la vapeur, et peu diffusf ->
@@ -3594,10 +3594,10 @@
     ! traite à part.
     r_l0qp0(il)=A(il)*m0(il)/qp0(il)            
-!            if (  ((f.lt.0.005).and.(h.gt.0.5)) ! orig: beta.gt.7
-!     :           .or.((f.lt.0.01).and.(h.gt.0.85)) ! orig: beta.gt.8
-!     :           .or.((f.lt.0.1).and.(h.gt.0.9))
-!     :           .or.((f.lt.0.15).and.(h.gt.0.95))            
-!     :           .or.((f.lt.0.2).and.(h.gt.0.98))) THEN
-    if ((h(il).gt.0.5).and.(f(il).lt.0.2).and. &
+!            if (  ((f.lt.0.005).AND.(h.gt.0.5)) ! orig: beta.gt.7
+!     :           .OR.((f.lt.0.01).AND.(h.gt.0.85)) ! orig: beta.gt.8
+!     :           .OR.((f.lt.0.1).AND.(h.gt.0.9))
+!     :           .OR.((f.lt.0.15).AND.(h.gt.0.95))
+!     :           .OR.((f.lt.0.2).AND.(h.gt.0.98))) THEN
+    IF ((h(il).gt.0.5).AND.(f(il).lt.0.2).AND. &
 &           (f(il).lt.0.005+3*(h(il)-0.5)**4)) THEN
         ! la fonction flimite(h(il))=0.005+3*(h(il)-0.5)**4 est
@@ -3619,5 +3619,5 @@
        xtnew(ixt,il)=max(xtnew(ixt,il),0.0)
       
-       if (fac_ftmr(il).gt.0.0) THEN
+       IF (fac_ftmr(il).gt.0.0) THEN
          Exi(ixt,il)=(xtnew(ixt,il)-xtp0(ixt,il))/fac_ftmr(il)
        else
@@ -3642,5 +3642,5 @@
 #endif
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix( &
 &            (Rl(iso_eau,il)), &
@@ -3660,8 +3660,8 @@
 &            'stewart_explicite 594', &
 &            errmax*50,errmaxrel*10)
-         if (iso_verif_egalite_choix_nostop( &
+         IF (iso_verif_egalite_choix_nostop( &
 &            (Exi(iso_eau,il)), &
 &            (Eqi(il)),'stewart_explicite 595', &
-&            errmax*50,errmaxrel*10).eq.1) THEN
+&            errmax*50,errmaxrel*10).EQ.1) THEN
            WRITE(*,*) 'il,fac_ftmr(il)=',il,fac_ftmr(il)
            WRITE(*,*) 'xtnew(iso_eau,il),qp(il)=', &
@@ -3674,13 +3674,13 @@
            stop
          endif
-         if (iso_verif_egalite_choix_nostop( &
+         IF (iso_verif_egalite_choix_nostop( &
 &            (Exi(iso_eau,il)*fac_ftmr(il)), &
 &            (Eqi(il)*fac_ftmr(il)), &
 &            'stewart_expilicit 521',errmax*10,errmaxrel*10) &
-&            .eq.1) THEN
+&            .EQ.1) THEN
            WRITE(*,*) 'il=',il
            stop
          endif !if (iso_verif_egalite_choix_nostop
-         if (Pqiinf(il).gt.ridicule) THEN
+         IF (Pqiinf(il).gt.ridicule) THEN
            CALL iso_verif_egalite_choix &
 &                ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
@@ -3690,9 +3690,9 @@
         !Pxtiinf=Pqiinf
         !Exi=Eqi
-        if (iso_verif_egalite_choix_nostop( &
+        IF (iso_verif_egalite_choix_nostop( &
 &                   (xtnew(iso_eau,il)), &
 &                   (qp0(il)+Eqi(il)*fac_ftmr(il)), &
 &                   'stewart_explicite 605',errmax*10,errmaxrel*50) &
-&                           .eq.1) THEN
+&                           .EQ.1) THEN
                 WRITE(*,*) 'xtnew=',xtnew(iso_eau,il)
                 WRITE(*,*) 'qp=',qp0(il)+Eqi(il)*fac_ftmr(il)
@@ -3707,10 +3707,10 @@
        ! pour meilleure convergence numérique:
        !xtnew=qp0+Eqi*fac_ftmr
-   endif   ! if (iso_eau.gt.0).and.(ixt.eq.iso_eau)  
-   if (iso_HDO.gt.0) THEN
-     if (Pqiinf(il).gt.ridicule_rain) THEN
-        if (iso_verif_aberrant_nostop( &
+   endif   ! if (iso_eau.gt.0).AND.(ixt.EQ.iso_eau)
+   IF (iso_HDO.gt.0) THEN
+     IF (Pqiinf(il).gt.ridicule_rain) THEN
+        IF (iso_verif_aberrant_nostop( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
-&                   'stewart_explicie 675').eq.1) THEN
+&                   'stewart_explicie 675').EQ.1) THEN
           WRITE(*,*) 'cas général f petit: il=',il
           WRITE(*,*) 'Rl,deltaDRl=',Rl(iso_HDO,il), &
@@ -3730,10 +3730,10 @@
         endif   !if iso_verif_aberrant_nostop(
        endif !if (Pqiinf(il).gt.ridicule_rain) THEN
-       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+       IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
              CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 912')
        endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
-       if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+       IF ((debug.EQ.1).AND.(il.EQ.il_debug).AND.(Eqi(il).gt.0.)) THEN
          WRITE(*,*) 'stewart_explicit 991: fcas général'
          WRITE(*,*) 'mais avec formule simplifiée'
@@ -3745,5 +3745,5 @@
   ! end verifs  
     
-else if (abs((g(il)**((1-2*h(il))/(1-h(il))))-1.0).lt.1e-2) THEN
+ELSE IF (abs((g(il)**((1-2*h(il))/(1-h(il))))-1.0).lt.1e-2) THEN
         ! dans ce cas, le premier facteur de func (la fonction a
         ! intégrer) est environ constant et égal à 1. on a alors
@@ -3770,11 +3770,11 @@
         trace(il)=2533
 #endif                
-  endif !if ((g**(1-beta*gama))-1.0.lt.errmaxrel*10) THEN
+  ENDIF !if ((g**(1-beta*gama))-1.0.lt.errmaxrel*10) THEN
   ! end verifs
 END IF !if (Eqi(il)*fac_ftmr(il)/qp0(il).lt.5e-2) THEN
-END IF !if ((h.lt.1e-3).or.(qp0.lt.1e-8)) THEN
+END IF !if ((h.lt.1e-3).OR.(qp0.lt.1e-8)) THEN
 END IF !if (h(il).gt.0.99) THEN
-END IF !if ((f(il).lt.1e-9).or.(Pqiinf(il).lt.ridicule/10.)) THEN
-END IF !!if ((Eqi(il)*fac_ftmr(il).lt.ridicule).and.(h(il).lt.0.99)) THEN
+END IF !if ((f(il).lt.1e-9).OR.(Pqiinf(il).lt.ridicule/10.)) THEN
+END IF !!if ((Eqi(il)*fac_ftmr(il).lt.ridicule).AND.(h(il).lt.0.99)) THEN
 END IF ! Pqisup.le.0
 END DO ! do il=1,ncas
@@ -3841,14 +3841,14 @@
 &           (Pqiinf(cas_rieman(icas_Jsimple))), &
 &           'stewart_explicit 918',errmax,errmaxrel)
-  if (iso_verif_egalite_choix_nostop( &
+  IF (iso_verif_egalite_choix_nostop( &
 &        (f_cas(icas_Jsimple+ncas_Jsimple)), &
 &        (m_cas(icas_Jsimple+ncas_Jsimple) &
 &        /m0_cas(icas_Jsimple+ncas_Jsimple)), &
 &       'stewart_explicite_vectall 953b apres compression', &
-&        errmax,errmaxrel).eq.1) THEN
+&        errmax,errmaxrel).EQ.1) THEN
       WRITE(*,*) 'icas_Jsimple,cas_rieman(icas_Jsimple)=', &
 &           icas_Jsimple,cas_rieman(icas_Jsimple)
       stop
-  endif
+  ENDIF
 END DO !do icas_Jsimple=1,ncas_Jsimple
 #endif        
@@ -3890,5 +3890,5 @@
 &       g_cas(icas_rieman))      
 
-  endif !if (ncas_rieman.gt.0) THEN
+  ENDIF !if (ncas_rieman.gt.0) THEN
 ! ******* traitement vectoriel commun du cas Rieman et Jsimple           
 #ifdef ISOVERIF
@@ -3921,5 +3921,5 @@
     xtnew_cas(ixt,il)=max(xtnew_cas(ixt,il),0.0)
     
-    if ((fac_ftmr_cas(il).gt.0.0).and. &
+    IF ((fac_ftmr_cas(il).gt.0.0).AND. &
 &           (Pqiinf_cas(il).gt.(Eqi_cas(il)+qp0_cas(il) &
 &                   /fac_ftmr_cas(il)))) THEN
@@ -3936,10 +3936,10 @@
 #ifdef ISOVERIF
     do ixt=1,niso
-      if ((iso_verif_noNaN_nostop(Exi_cas(ixt,il), &
-&           'stewart_explicite 1345').eq.1).or. &
+      IF ((iso_verif_noNaN_nostop(Exi_cas(ixt,il), &
+&           'stewart_explicite 1345').EQ.1).OR. &
 &           (iso_verif_noNaN_nostop(Pxtiinf_cas(ixt,il), &
-&           'stewart_explicite 1348').eq.1).or. &
+&           'stewart_explicite 1348').EQ.1).OR. &
 &           (iso_verif_noNaN_nostop(xtnew_cas(ixt,il), &
-&           'stewart_explicite 1348b').eq.1)) THEN
+&           'stewart_explicite 1348b').EQ.1)) THEN
        WRITE(*,*) 'ixt,ncas_Jsimple,il=',ixt,ncas_Jsimple,il
        WRITE(*,*) 'Exi_cas(ixt,il)=',Exi_cas(ixt,il)
@@ -3974,11 +3974,11 @@
 #endif
 #ifdef ISOVERIF         
-    if (iso_eau.gt.0) THEN
-      if (iso_verif_egalite_choix_nostop( &
+    IF (iso_eau.gt.0) THEN
+      IF (iso_verif_egalite_choix_nostop( &
 &           (Pxtiinf_cas(iso_eau,il)), &
 &           (Pqiinf_cas(il)),'stewart_explicite 451', &
-&           errmax*50,errmaxrel*50).eq.1) THEN
+&           errmax*50,errmaxrel*50).EQ.1) THEN
          WRITE(*,*) 'il=',il
-         if (il.le.ncas_Jsimple) THEN
+         IF (il.le.ncas_Jsimple) THEN
             WRITE(*,*) 'cas_Jsimple(il)=',cas_Jsimple(il)
          else !if (il.le.ncas_Jsimple) THEN
@@ -3995,5 +3995,5 @@
          WRITE(*,*) 'gama=',gama_cas(iso_eau,il), &
 &                   ' beta=',beta_cas(iso_eau,il)
-         if (il.le.ncas_Jsimple) THEN
+         IF (il.le.ncas_Jsimple) THEN
            WRITE(*,*) 'h=',h(cas_Jsimple(il)), &
 &                   ' Tevap=',Tevap(cas_Jsimple(il))
@@ -4029,11 +4029,11 @@
          stop   
        endif !if (iso_verif_egalite_choix_nostop(
-       if (iso_verif_egalite_choix_nostop( &
+       IF (iso_verif_egalite_choix_nostop( &
 &           (xtnew_cas(iso_eau,il)), &
 &           (qp0_cas(il)+Eqi_cas(il) &
 &           *fac_ftmr_cas(il)),'stewart_explicite 1026', &
-&           errmax*50,errmaxrel*50).eq.1) THEN
+&           errmax*50,errmaxrel*50).EQ.1) THEN
          WRITE(*,*) 'il=',il
-         if (il.le.ncas_Jsimple) THEN
+         IF (il.le.ncas_Jsimple) THEN
             WRITE(*,*) 'cas_Jsimple(il)=',cas_Jsimple(il)
          else !if (il.le.ncas_Jsimple) THEN
@@ -4050,5 +4050,5 @@
          WRITE(*,*) 'gama=',gama_cas(iso_eau,il), &
 &                   ' beta=',beta_cas(iso_eau,il)
-         if (il.le.ncas_Jsimple) THEN
+         IF (il.le.ncas_Jsimple) THEN
            WRITE(*,*) 'h=',h(cas_Jsimple(il)), &
 &                   ' Tevap=',Tevap(cas_Jsimple(il))
@@ -4077,15 +4077,15 @@
          stop   
        endif !if (iso_verif_egalite_choix_nostop(
-       if ((iso_verif_egalite_choix_nostop( &
+       IF ((iso_verif_egalite_choix_nostop( &
 &            (Exi_cas(iso_eau,il)), &
 &            (Eqi_cas(il)),'stewart_explicite 777', &
-&            errmax*800,errmaxrel*800).eq.1).or. &
+&            errmax*800,errmaxrel*800).EQ.1).OR. &
 &            (iso_verif_egalite_choix_nostop( &
 &            (Exi_cas(iso_eau,il)*fac_ftmr_cas(il)), &
 &            (Eqi_cas(il)*fac_ftmr_cas(il)), &
 &           'stewart_explicite 586', &
-&            errmax*3000,errmaxrel*800).eq.1)) THEN
+&            errmax*3000,errmaxrel*800).EQ.1)) THEN
           WRITE(*,*) 'il=',il
-         if (il.le.ncas_Jsimple) THEN
+         IF (il.le.ncas_Jsimple) THEN
             WRITE(*,*) 'cas_Jsimple(il)=',cas_Jsimple(il)
          else !if (il.le.ncas_Jsimple) THEN
@@ -4101,11 +4101,11 @@
      endif
     endif  !if (iso_eau.gt.0) THEN
-    if (iso_HDO.gt.0) THEN
-       if (qp0_cas(il)+Eqi_cas(il)*fac_ftmr_cas(il) &
+    IF (iso_HDO.gt.0) THEN
+       IF (qp0_cas(il)+Eqi_cas(il)*fac_ftmr_cas(il) &
 &                   .gt.ridicule) THEN
-         if (iso_verif_aberrant_nostop(( &
+         IF (iso_verif_aberrant_nostop(( &
 &                xtnew_cas(iso_HDO,il)/(qp0_cas(il)+Eqi_cas(il) &
 &                *fac_ftmr_cas(il))), &
-&                'stewart_explicite 1316').eq.1) THEN
+&                'stewart_explicite 1316').EQ.1) THEN
            WRITE(*,*) 'il,fac_ftmr_cas(il)=',il,fac_ftmr_cas(il)
            WRITE(*,*) 'h(il)=',h(il)
@@ -4178,5 +4178,5 @@
 #ifdef ISOVERIF
  do icas_Jsimple=1,ncas_Jsimple+ncas_rieman    
-   if (icas_Jsimple.le.ncas_Jsimple) THEN
+   IF (icas_Jsimple.le.ncas_Jsimple) THEN
      il=cas_Jsimple(icas_Jsimple)
    else
@@ -4184,10 +4184,10 @@
    endif
    do ixt=1,niso
-    if ((iso_verif_noNaN_nostop((Pxtiinf(ixt,il)), &
-&         'stewart_explicite 618').eq.1).or. &
+    IF ((iso_verif_noNaN_nostop((Pxtiinf(ixt,il)), &
+&         'stewart_explicite 618').EQ.1).OR. &
 &         (iso_verif_noNaN_nostop((Exi(ixt,il)), &
-&         'stewart_explicite 620').eq.1).or. &
+&         'stewart_explicite 620').EQ.1).OR. &
 &         (iso_verif_noNaN_nostop((xtnew(ixt,il)), &
-&         'stewart_explicite 622').eq.1)) THEN
+&         'stewart_explicite 622').EQ.1)) THEN
        WRITE(*,*) 'ixt,il=',ixt,il
        WRITE(*,*) 'icas_Jsimple,ncas_Jsimple=', &
@@ -4200,14 +4200,14 @@
 #ifdef ISOVERIF
  do icas_Jsimple=1,ncas_Jsimple+ncas_rieman    
-   if (icas_Jsimple.le.ncas_Jsimple) THEN
+   IF (icas_Jsimple.le.ncas_Jsimple) THEN
      il=cas_Jsimple(icas_Jsimple)
    else
      il=cas_rieman(icas_Jsimple-ncas_Jsimple)
    endif           
-   if (iso_eau.gt.0) THEN
-       if (iso_verif_egalite_choix_nostop( &
+   IF (iso_eau.gt.0) THEN
+       IF (iso_verif_egalite_choix_nostop( &
 &           (Pxtiinf(iso_eau,il)), &
 &           (Pqiinf(il)),'stewart_explicite 1105', &
-&           errmax*50,errmaxrel*50).eq.1) THEN
+&           errmax*50,errmaxrel*50).EQ.1) THEN
           WRITE(*,*) 'icas_Jsimple,il,trace(il)=', &
 &                    icas_Jsimple,il,trace(il) 
@@ -4219,13 +4219,13 @@
      endif
      !Pxtiinf=Pqiinf
-     if ((iso_verif_egalite_choix_nostop( &
+     IF ((iso_verif_egalite_choix_nostop( &
 &            (Exi(iso_eau,il)), &
 &            (Eqi(il)),'stewart_explicite 778', &
-&            errmax*800,errmaxrel*800).eq.1).or. &
+&            errmax*800,errmaxrel*800).EQ.1).OR. &
 &            (iso_verif_egalite_choix_nostop( &
 &            (Exi(iso_eau,il)*fac_ftmr(il)), &
 &            (Eqi(il)*fac_ftmr(il)), &
 &           'stewart_explicite 587', &
-&            errmax*3000,errmaxrel*800).eq.1)) THEN
+&            errmax*3000,errmaxrel*800).EQ.1)) THEN
           WRITE(*,*) 'il,icas_Jsimple=',il,icas_Jsimple
           WRITE(*,*) 'g**(1-beta*gama)=', &
@@ -4237,9 +4237,9 @@
 
      ! le 6 dec 2011: on relache ridicule en ridicule*2
-     if (Pqiinf(il).gt.ridicule*2) THEN
-       if (iso_verif_egalite_choix_nostop &
+     IF (Pqiinf(il).gt.ridicule*2) THEN
+       IF (iso_verif_egalite_choix_nostop &
 &           ((Pxtiinf(iso_eau,il)/Pqiinf(il)),1., &
 &           'stewart_explicite 716', &
-&            errmax*10,errmaxrel*50).eq.1) THEN
+&            errmax*10,errmaxrel*50).EQ.1) THEN
          WRITE(*,*) 'il=',il
          WRITE(*,*) 'Pqiinf,Pxtiinf=', &
@@ -4253,9 +4253,9 @@
        endif !if (iso_verif_egalite_choix_nostop
      endif !if (Pqiinf.gt.ridicule) THEN
-     if (iso_verif_egalite_choix_nostop( &
+     IF (iso_verif_egalite_choix_nostop( &
 &                   (xtnew(iso_eau,il)), &
 &                   (qp0(il)+Eqi(il)*fac_ftmr(il)), &
 &                   'stewart_explicite 732',errmax*10,errmaxrel*50) &
-&                           .eq.1) THEN
+&                           .EQ.1) THEN
                 WRITE(*,*) 'icas_Jsimple,il,trace(il)=', &
 &                    icas_Jsimple,il,trace(il) 
@@ -4276,5 +4276,5 @@
      endif
      ! pour meilleure convergence numérique:
-     if (bidouille_anti_divergence) THEN
+     IF (bidouille_anti_divergence) THEN
          Exi(iso_eau,il)=Eqi(il)
          xtnew(iso_eau,il)=qp0(il)+Eqi(il)*fac_ftmr(il)
@@ -4282,10 +4282,10 @@
      endif   
 
-   endif   ! if if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) the       
-
-   if (iso_HDO.gt.0) THEN
-    if (Pqiinf(il).gt.ridicule_rain) THEN
-      if (iso_verif_aberrant_choix_nostop(Pxtiinf(iso_HDO,il),Pqiinf(il),ridicule_rain,deltalim_snow, &
-&                   'stewart_explicite 871').eq.1)  THEN
+   endif   ! if if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) the
+
+   IF (iso_HDO.gt.0) THEN
+    IF (Pqiinf(il).gt.ridicule_rain) THEN
+      IF (iso_verif_aberrant_choix_nostop(Pxtiinf(iso_HDO,il),Pqiinf(il),ridicule_rain,deltalim_snow, &
+&                   'stewart_explicite 871').EQ.1)  THEN
       WRITE(*,*) 'deltaDl0=',deltaD( &
 &           (Rl0(iso_HDO,il)))
@@ -4295,5 +4295,5 @@
       endif  !if (iso_verif_aberrant_nostop(
      endif !if (Pqiinf(il).gt.ridicule_rain) THEN
-     if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+     IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
          CALL iso_verif_aberrant(( &
 &               xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
@@ -4302,9 +4302,9 @@
     endif !if (iso_HDO.gt.0)
 
-    if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+    IF ((debug.EQ.1).AND.(il.EQ.il_debug).AND.(Eqi(il).gt.0.)) THEN
           WRITE(*,*) 'stewart_explicit 1558: cas avec calcul J'
           WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
 &                   deltaD((Exi(iso_HDO,il)/Eqi(il)))
-          if (icas_Jsimple.le.ncas_Jsimple) THEN
+          IF (icas_Jsimple.le.ncas_Jsimple) THEN
                WRITE(*,*) 'calcul J par simple'
           else
@@ -4345,5 +4345,5 @@
           WRITE(*,*) 'fac_ftmr_cas(icas)=', &
 &                   fac_ftmr_cas(icas_Jsimple)
-    endif !if ((debug.eq.1).and.(il.eq.il_debug)) THEN
+    endif !if ((debug.EQ.1).AND.(il.EQ.il_debug)) THEN
     enddo !do il=1,ncas_Jsimple+ncas_rieman    
 #endif  
@@ -4374,21 +4374,21 @@
   ! declaration des variables      
 ! **inputs
-integer ncas
-real q(ncas),xt(niso,ncas)
-real Pxtisup(niso,ncas)
-real Pqisup(ncas)
-real Eqi(ncas),Pqiinf(ncas)
-real fac_ftmr(ncas)       
-real Tevap(ncas)    
+INTEGER ncas
+REAL q(ncas),xt(niso,ncas)
+REAL Pxtisup(niso,ncas)
+REAL Pqisup(ncas)
+REAL Eqi(ncas),Pqiinf(ncas)
+REAL fac_ftmr(ncas)
+REAL Tevap(ncas)
 
        ! **outputs
-real xtnew(niso,ncas)
-real Pxtiinf(niso,ncas)
-real Exi(niso,ncas)
+REAL xtnew(niso,ncas)
+REAL Pxtiinf(niso,ncas)
+REAL Exi(niso,ncas)
 
 ! **locals
-real zxtalphai(niso,ncas)
-real f(ncas)
-integer ixt,il        
+REAL zxtalphai(niso,ncas)
+REAL f(ncas)
+INTEGER ixt,il
 
 !        WRITE(*,*) 'sttewart_glace 39: entrée'
@@ -4401,10 +4401,10 @@
 &           (Pqisup(il)-Eqi(il)-Pqiinf(il)),0.0, &
 &           'stewart_glace 37')
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite((Pqisup(il)), &
 &           (Pxtisup(iso_eau,il)),'stewart_loop 52')
       CALL iso_verif_egalite((xt(iso_eau,il)), &
 &           (q(il)),'stewart_loop 58')
-  endif !if  ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+  ENDIF !if  ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
 END DO !do il=1,ncas
 #endif
@@ -4414,10 +4414,10 @@
 DO il=1,ncas
 ! traitement rapide de quelques cas particuliers:
-IF (Pqisup(il).eq.0) THEN
+IF (Pqisup(il).EQ.0) THEN
     ! pas de pluie, pas de Pqiinf, pas de changement de vap
     ! cam verif
 #ifdef ISOVERIF
-    if ((abs(Pqiinf(il)).gt.ridicule) &
-&            .or.(abs(Eqi(il)).gt.ridicule)) THEN
+    IF ((abs(Pqiinf(il)).gt.ridicule) &
+&            .OR.(abs(Eqi(il)).gt.ridicule)) THEN
         WRITE(*,*) 'stewart_loop 39'
         WRITE(*,*) 'Pqisup=',Pqisup(il)
@@ -4433,5 +4433,5 @@
       Exi(ixt,il)=0.0
     enddo !do ixt=1,niso
-else !if (Pqisup(il).eq.0) THEN
+else !if (Pqisup(il).EQ.0) THEN
 ! calcul du coeff de fractionnement
 DO ixt=1,niso
@@ -4465,17 +4465,17 @@
 &           'stewart_glace 111')
  enddo !do ixt=1,niso   
- if (iso_eau.gt.0) THEN
+ IF (iso_eau.gt.0) THEN
    CALL iso_verif_egalite((Exi(iso_eau,il)), &
 &                   (Eqi(il)),'stewart_glace 101')
    CALL iso_verif_egalite((Pxtiinf(iso_eau,il)), &
 &           (Pqiinf(il)),'stewart_glace 110')
- endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-#endif
-IF ((bidouille_anti_divergence).and. &
+ END IF !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+#endif
+IF ((bidouille_anti_divergence).AND. &
 &            (iso_eau.gt.0)) THEN
   ! assurer la convergence numérique pour ixt=4:
   Exi(iso_eau,il)=Eqi(il)
   Pxtiinf(iso_eau,il)=Pqiinf(il)
- endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)
+ END IF !if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)
   
 
@@ -4492,12 +4492,12 @@
 &           'stewart_glace 140')
 END DO !do ixt=1,niso
-  if ((iso_HDO.gt.0).and. &
+  IF ((iso_HDO.gt.0).AND. &
 &            (Pqisup(il).gt.ridicule_rain)) THEN
     CALL iso_verif_aberrant(( &
 &           Pxtiinf(iso_HDO,il)/Pqiinf(il)),'stewart_glace 175')  
-  endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+  ENDIF !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
 #endif
 ! end verif
-END IF !if (Pqisup(il).eq.0) THEN
+END IF !if (Pqisup(il).EQ.0) THEN
 END DO !do il=1,ncas
 
@@ -4529,22 +4529,22 @@
   ! declaration des variables      
 ! **inputs
-integer ncas
-real q(ncas),xt(niso,ncas)
-real Pxtisup(niso,ncas)
-real Pqisup(ncas)
-real Eqi(ncas),Pqiinf(ncas)
-real fac_ftmr(ncas)      
+INTEGER ncas
+REAL q(ncas),xt(niso,ncas)
+REAL Pxtisup(niso,ncas)
+REAL Pqisup(ncas)
+REAL Eqi(ncas),Pqiinf(ncas)
+REAL fac_ftmr(ncas)
 
        ! **outputs
-real xtnew(niso,ncas)
-real Pxtiinf(niso,ncas)
-real Exi(niso,ncas)
+REAL xtnew(niso,ncas)
+REAL Pxtiinf(niso,ncas)
+REAL Exi(niso,ncas)
 
 ! **locals
-integer il
+INTEGER il
 !real  ! debuggage
-real Rb0(niso,ncas)
-real real_to_double
-integer ixt
+REAL Rb0(niso,ncas)
+REAL real_to_double
+INTEGER ixt
 !#ifdef ISOVERIF
 !integer iso_verif_egalite_nostop
@@ -4559,5 +4559,5 @@
 IF (iso_verif_egalite_nostop(( &
 &           Pqisup(il)-Eqi(il)-Pqiinf(il)),0.0, &
-&           'stewart_sublim_nofrac 37').eq.1) THEN
+&           'stewart_sublim_nofrac 37').EQ.1) THEN
   WRITE(*,*) 'il,Pqisup(il),Eqi(il),Pqiinf(il)=', &
 &          il,Pqisup(il),Eqi(il),Pqiinf(il)         
@@ -4571,9 +4571,9 @@
 &           (q(il)), &
 &           'stewart_sublim_nofrac 39')              
-END IF !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+END IF !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
 IF (iso_HDO.gt.0) then ! Camille 9 mars 2023: moins stricte pour condensat
     CALL iso_verif_aberrant_choix(Pxtisup(iso_HDO,il),Pqisup(il), &
 &           ridicule_rain,deltalim_snow, 'stewart_sublim_nofrac 40') 
-END IF !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
+END IF !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
 END DO !do il=1,ncas
 #endif
@@ -4588,6 +4588,6 @@
     ! cam verif
 #ifdef ISOVERIF
-     if ((abs(Pqiinf(il)).gt.ridicule) &
-&            .or.(abs(Eqi(il)).gt.ridicule)) THEN
+     IF ((abs(Pqiinf(il)).gt.ridicule) &
+&            .OR.(abs(Eqi(il)).gt.ridicule)) THEN
         WRITE(*,*) 'stewart_sublim 57'
         WRITE(*,*) 'Pqisup=',Pqisup(il)
@@ -4601,8 +4601,8 @@
       Pxtiinf(ixt,il)=0.0
     enddo
-    if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+    IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
         Pxtiinf(iso_eau,il)=Pqiinf(il)
     endif
-    if (abs(Eqi(il)*fac_ftmr(il)).gt.ridicule) THEN
+    IF (abs(Eqi(il)*fac_ftmr(il)).gt.ridicule) THEN
         ! attention: pour des raisons obscures, il y a parfois
         ! de le réévaporation significative alors qu'il n'y a
@@ -4611,5 +4611,5 @@
         ! on suppose qu'elle ne change pas la composition
         ! isotopique de la vapeur. 
-        if (q(il).gt.ridicule) THEN
+        IF (q(il).gt.ridicule) THEN
            do ixt=1,niso
              Rb0(ixt,il)=xt(ixt,il)/q(il)
@@ -4622,5 +4622,5 @@
                      Rb0(ixt,il)=0.0                        
                    enddo !do ixt=1,niso  
-                   if (iso_eau.gt.0) THEN
+                   IF (iso_eau.gt.0) THEN
                         Rb0(iso_eau,il)=1.0 
                    endif      
@@ -4638,5 +4638,5 @@
             endif !if (abs(Eqi*fac_ftmr).gt.ridicule) THEN
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix( &
                    (Exi(iso_eau,il)*fac_ftmr(il)), &
@@ -4671,5 +4671,5 @@
                  'stewart_sublim 102')
         enddo !do ixt=1,niso
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix((Exi(iso_eau,il)), &
                          (Eqi(il)), &
@@ -4677,13 +4677,13 @@
            CALL iso_verif_egalite((Pxtiinf(iso_eau,il)), &
                  (Pqiinf(il)),'stewart_sublim 110')
-          endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-#endif
-
-         if ((bidouille_anti_divergence).and. &
+          endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+#endif
+
+         IF ((bidouille_anti_divergence).AND. &
                  (iso_eau.gt.0)) THEN
           ! assurer la convergence numérique pour ixt=4:
           Exi(iso_eau,il)=Eqi(il)          
           Pxtiinf(iso_eau,il)=Pqiinf(il)
-        endif !if  if ((bidouille_anti_divergence).and.(iso_eau.gt.0)
+        endif !if  if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)
         
         ! calcul de xtnew
@@ -4701,15 +4701,15 @@
         enddo ! do ixt=1,niso
         ! verif que deltaD(Pqiinf) raisonable
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
             CALL iso_verif_aberrant_choix(Pxtiinf(iso_HDO,il),Pqiinf(il), &
                  ridicule_rain,deltalim_snow, 'stewart_sublim 175')
-        endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-        if (iso_eau.gt.0) THEN
-            if (q(il)+Eqi(il)*fac_ftmr(il).ge.0.0) THEN
-            if (iso_verif_egalite_choix_nostop( &
+        endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
+        IF (iso_eau.gt.0) THEN
+            IF (q(il)+Eqi(il)*fac_ftmr(il).ge.0.0) THEN
+            IF (iso_verif_egalite_choix_nostop( &
                         (xtnew(iso_eau,il)), &
                         (q(il)+Eqi(il)*fac_ftmr(il)), &
                         'stewart_sublim 108', &
-                        errmax,errmaxrel).eq.1) THEN
+                        errmax,errmaxrel).EQ.1) THEN
               WRITE(*,*) 'q(il)=',q(il)
               WRITE(*,*) 'Eqi(il)=',Eqi(il)
@@ -4718,12 +4718,12 @@
             endif !if (iso_verif_egalite_choix_nostop
             endif !if (q(il)+Eqi(il)*fac_ftmr(il).ge.0.0) THEN
-            if (iso_verif_egalite_choix_nostop( &
+            IF (iso_verif_egalite_choix_nostop( &
                         (Pxtiinf(iso_eau,il)), &
                         (Pqiinf(il)),'stewart_sublim 204', &
-                        errmax,errmaxrel).eq.1) THEN
+                        errmax,errmaxrel).EQ.1) THEN
               WRITE(*,*) 'Pqisup(il)=',Pqisup(il)
               stop
             endif !if (iso_verif_egalite_choix_nostop
-        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+        endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
 #endif
         ! end verif
@@ -4766,8 +4766,8 @@
          ! calcul d'intégral soit simple, soit par Rieman.
   
-         integer ncas ! dimension officielle des variables
-         integer ncas_rieman,ncas_Jsimple ! nombre de variables à compresser
-         integer cas_rieman(ncas),cas_Jsimple(ncas) ! tableaux d'index
-         real m_cas(ncas),m(ncas), &
+         INTEGER ncas ! dimension officielle des variables
+         INTEGER ncas_rieman,ncas_Jsimple ! nombre de variables à compresser
+         INTEGER cas_rieman(ncas),cas_Jsimple(ncas) ! tableaux d'index
+         REAL m_cas(ncas),m(ncas), &
        m0_cas(ncas),m0(ncas), &
        qp0_cas(ncas),qp0(ncas), &
@@ -4785,7 +4785,7 @@
        Pqiinf_cas(ncas),Pqiinf(ncas), &
        fac_ftmr_cas(ncas),fac_ftmr(ncas)
-         real h(ncas)
+         REAL h(ncas)
 !         integer ntot_cas(ncas)
-         integer il,ixt        
+         INTEGER il,ixt
 
 
@@ -4803,5 +4803,5 @@
 !         WRITE(*,*) 'ncas_Jsimple=',ncas_Jsimple
 #endif      
-        if (ncas_Jsimple.gt.0) THEN
+        IF (ncas_Jsimple.gt.0) THEN
          do il=1,ncas_Jsimple
 !           WRITE(*,*) 'compress_stewart 50: il=',il
@@ -4837,5 +4837,5 @@
          enddo !do il=1,ncas_Jsimple
         endif !if (ncas_Jsimple.gt.0) THEN
-        if (ncas_rieman.gt.0) THEN
+        IF (ncas_rieman.gt.0) THEN
          do il=1,ncas_rieman
            m0_cas(il+ncas_Jsimple)=m0(cas_rieman(il))
@@ -4920,10 +4920,10 @@
 
          ! des compressions des cas de calcul de J dans stewart_explicit
-         integer ncas,ncas_rieman,ncas_Jsimple
-         integer cas_rieman(ncas),cas_Jsimple(ncas)
-         real Exi_cas(niso,ncas),Exi(niso,ncas), &
+         INTEGER ncas,ncas_rieman,ncas_Jsimple
+         INTEGER cas_rieman(ncas),cas_Jsimple(ncas)
+         REAL Exi_cas(niso,ncas),Exi(niso,ncas), &
              xtnew_cas(niso,ncas),xtnew(niso,ncas), &
              Pxtiinf_cas(niso,ncas),Pxtiinf(niso,ncas)
-         integer il,ixt
+         INTEGER il,ixt
 
 
@@ -4967,20 +4967,20 @@
          ! appel_stewart
 
-         integer ncas,ncum
-         integer cas(ncum)
-         real xtevap_cas(niso,ncum)
-         real xtp_cas(niso,ncum)
-         real xtwater_cas(niso,ncum)
+         INTEGER ncas,ncum
+         INTEGER cas(ncum)
+         REAL xtevap_cas(niso,ncum)
+         REAL xtp_cas(niso,ncum)
+         REAL xtwater_cas(niso,ncum)
 
          ! outputs
-         real xtwater(ntraciso,ncum)
-         real xtp(ntraciso,ncum)
-         real xtevap(ntraciso,ncum)
+         REAL xtwater(ntraciso,ncum)
+         REAL xtp(ntraciso,ncum)
+         REAL xtevap(ntraciso,ncum)
 
          ! locals
-         integer il,ixt
-#ifdef ISOVERIF
-         real Exi_cas(niso,ncum)
-         real Exi(ntraciso,ncum)
+         INTEGER il,ixt
+#ifdef ISOVERIF
+         REAL Exi_cas(niso,ncum)
+         REAL Exi(ntraciso,ncum)
 #endif         
 
@@ -5029,14 +5029,14 @@
 
          ! compression dans le cas condensation_facftmr
-         integer nd,ncum,nloc
-         integer ncas
-         integer cas(ncum)
-         integer i
-         real T_cas(ncum),T(ncum), &
+         INTEGER nd,ncum,nloc
+         INTEGER ncas
+         INTEGER cas(ncum)
+         INTEGER i
+         REAL T_cas(ncum),T(ncum), &
           xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
           water_cas(ncum),water(ncum), &
           delP_cas(ncum),Ph(nloc,ND), &
           sigd_cas(ncum),sigd(ncum)
-         real Eqi_prime_cas(ncum),Eqi_prime(ncum), &
+         REAL Eqi_prime_cas(ncum),Eqi_prime(ncum), &
           Pqisup_cas(ncum),Pqisup(ncum),  &
           Pxtisup_cas(niso,ncum),Pxtisup(ntraciso,ncum),  &
@@ -5044,6 +5044,6 @@
           xtp_avantevap_cas(niso,ncum),xtp_avantevap(ntraciso,ncum), &
           fac_ftmr_cas(ncum),fac_ftmr(ncum)
-         real evap_cas(ncum),evap(ncum),qp_cas(ncum),qp(ncum)
-         integer il,ixt
+         REAL evap_cas(ncum),evap(ncum),qp_cas(ncum),qp(ncum)
+         INTEGER il,ixt
 
           do il=1,ncas
@@ -5060,6 +5060,6 @@
             evap_cas(il)=evap(cas(il))
             qp_cas(il)=qp(cas(il))
-            if (iso_verif_positif_nostop(sigd_cas(il)-1e-3, &
-                'compress_cond_facftmr 5215').eq.1) THEN
+            IF (iso_verif_positif_nostop(sigd_cas(il)-1e-3, &
+                'compress_cond_facftmr 5215').EQ.1) THEN
                 WRITE(*,*) 'il,cas(il),sigd_cas(il)=',il,cas(il),sigd_cas(il)
                 CALL abort_physic('isotopes_routines_mod', 'compress_cond_facftmr 5215: sigd_cas<1e3', 1)
